
.site-nav {
    display: flex;
    flex-wrap: wrap;
    transform: translateX(20px);
}
.navbar-site-search {
  display: inline-flex;
  border-radius: 2px;
  height: 32px;
  position: relative;
  top: 5px;
  left: 0; 
  flex: 1;
  flex-basis: 225px;
  margin-right: 30px;
  margin-left: 10px;
}

.navbar-site-search input {
  padding: 0.3333em;
  padding-top: 6px;
  border-radius: 2px 0 0 2px;
  border: 1px var(--color-tertiary) solid;
  border-right: none;
  background: transparent;
  color: var(--color-shade);
}
.navbar-site-search input::placeholder {
    color: var(--color-shade);
    font-family: "Orbitron", monospace;
    font-size: 14px;
}

.navbar-site-search input:focus {
  background: #f8f2f2;
  color: rgb(115, 115, 115);
  flex: 1;
}
.navbar-site-search input:focus::placeholder {
    color: var(--color-tertiary);
}

.navbar-site-search button {
  padding: 0.3333em;
  border-radius: 0 2px 2px 0;
  background: var(--color-tertiary);
  color: rgb(255, 255, 255);
  flex: 0 0 auto;
  cursor: pointer;
}

.navbar-site-search input:focus + button {
  color: #f8f2f2;
}

.navbar-site-search ic-on {
    width: 24px;
    height: 24px;
    position: relative;
    left: 0;
}

